// EditAADlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "hebope.h"
#include "EditAADlg.h"
#include "ExeCommon.h"
#include "MainFrm.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditAADlg ダイアログ


CEditAADlg::CEditAADlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEditAADlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditAADlg)
	m_strAA = _T("");
	m_strName = _T("");
	//}}AFX_DATA_INIT
}


void CEditAADlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditAADlg)
	DDX_Control(pDX, IDC_EDITAA_AA, m_editAA);
	DDX_Text(pDX, IDC_EDITAA_AA, m_strAA);
	DDX_Text(pDX, IDC_EDITAA_NAME, m_strName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditAADlg, CDialog)
	//{{AFX_MSG_MAP(CEditAADlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditAADlg メッセージ ハンドラ

BOOL CEditAADlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// フォントの設定
	{
		HDC	hdc = ::GetDC( NULL );
		CDC* pDC = CDC::FromHandle( hdc );
		m_editAA.SetFont( m_Font.GetFont( pDC ) );
		::ReleaseDC( NULL, hdc );
	}
	
	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}
